<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('user_referral', function (Blueprint $table) {
            $table->dropColumn(['user_id', 'email', 'referral_url', 'referred']);

            $table->text('current_user_id')->nullable();
            $table->text('new_user_id')->nullable();
            $table->text('current_user_email')->nullable();
            $table->text('new_user_email')->nullable();
            $table->text('make_premium')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
    }
};
